# Enum AngleUnit

java.lang.Object
java.lang.Enum<AngleUnit>
uk.ac.starlink.ttools.plot2.layer.AngleUnit

All Implemented Interfaces:
  `Serializable, Comparable<AngleUnit>, java.lang.constant.Constable`

public enum AngleUnit extends Enum<AngleUnit>
Defines units in which angular extents can be specified.

Since:
  2 Aug 2017
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARCSEC`
Arcseconds.
`DEGREE`
Degrees.
`MAS`
Milliarcseconds.
`MINUTE`
Minutes.
`RADIAN`
Radians.
`UAS`
Microarcseconds.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFullName()`
Returns the full-text name of this unit.
`String`
`getName()`
Returns the canonical name of this unit.
`static AngleUnit`
`getNamedUnit(String name)`
Returns the AngleUnit instance that corresponds to a user-specified unit name.
`double`
`getValueInDegrees()`
Returns the value of this unit in degrees.
`String`
`toString()`
`static AngleUnit`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AngleUnit[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RADIAN

public static final AngleUnit RADIAN
Radians.

### DEGREE

public static final AngleUnit DEGREE
Degrees.

### MINUTE

public static final AngleUnit MINUTE
Minutes.

### ARCSEC

public static final AngleUnit ARCSEC
Arcseconds.

### MAS

public static final AngleUnit MAS
Milliarcseconds.

### UAS

public static final AngleUnit UAS
Microarcseconds.

## Method Details

### values

public static AngleUnit[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AngleUnit valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValueInDegrees

public double getValueInDegrees()
Returns the value of this unit in degrees.

Returns:
  value in degrees

### getName

public String getName()
Returns the canonical name of this unit.

Returns:
  unit name

### getFullName

public String getFullName()
Returns the full-text name of this unit.

Returns:
  full unit name

### toString

public String toString()

Overrides:
  `toString` in class `Enum<AngleUnit>`

### getNamedUnit

public static AngleUnit getNamedUnit(String name)
Returns the AngleUnit instance that corresponds to a user-specified unit name.

Parameters:
  `name` - user-specified name
Returns:
  named AngleUnit, or null